%global gem_name openshift-origin-dns-bind
%global rubyabi 1.9.1

Summary:        OpenShift plugin for BIND service
Name:           rubygem-%{gem_name}
Version:        0.8.5
Release:        4%{?dist}
Group:          Development/Languages
License:        ASL 2.0
URL:            http://openshift.redhat.com
Source0:        http://mirror.openshift.com/pub/crankcase/source/%{name}/%{gem_name}-%{version}.gem
Requires:       ruby(abi) = %{rubyabi}
Requires:       rubygems
Requires:       rubygem(openshift-origin-common)
Requires:       rubygem(dnsruby)
Requires:       rubygem(json)
Requires:       bind
Requires:       bind-utils
Requires:       openshift-origin-broker
Requires:       selinux-policy-targeted
Requires:       policycoreutils-python
BuildRequires:  ruby
BuildRequires:  ruby-devel
BuildRequires:  rubygems
BuildRequires:  rubygems-devel
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %version

%package -n ruby-%{gem_name}
Summary:        OpenShift plugin for Bind service
Requires:       rubygem(%{gem_name}) = %version
Provides:       ruby(%{gem_name}) = %version

%description
Provides a Bind DNS service based plugin

%description -n ruby-%{gem_name}
Provides a Bind DNS service based plugin

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# Symlink into the ruby site library directories
mkdir -p %{buildroot}%{ruby_vendorlibdir}
ln -s %{gem_libdir}/%{gem_name} %{buildroot}%{ruby_vendorlibdir}
ln -s %{gem_libdir}/%{gem_name}.rb %{buildroot}%{ruby_vendorlibdir}

# Add documents/examples
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
cp -r doc/* %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%doc LICENSE COPYRIGHT Gemfile
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%exclude %{gem_cache}

%files -n ruby-%{gem_name}
%{ruby_vendorlibdir}/%{gem_name}
%{ruby_vendorlibdir}/%{gem_name}.rb

%changelog
* Tue Jul 31 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-4
- Changed name to rubygem-openshift-origin-dns-bind
- Added rubygem(dnsruby) requires
- Removed selinux-policy and policycoreutils dependancies

* Tue Jul 24 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-3
- change ruby_sitelibdir to ruby_vendorlibdir per guidelines

* Fri Jul 20 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-2
- Ported to be include in Fedora 18

* Wed May 30 2012 Krishna Raman <kraman@gmail.com> 0.8.5-1
- Adding livecd build scripts Adding a text only minimal version of livecd
  Added ability to access livecd dns from outside VM (kraman@gmail.com)

* Fri Apr 27 2012 Krishna Raman <kraman@gmail.com> 0.8.4-1
- cleaning up spec files (dmcphers@redhat.com)

* Sat Apr 21 2012 Krishna Raman <kraman@gmail.com> 0.8.3-1
- new package built with tito
